import { PageBuilderStorageOperations, PageBlocksCrud, PbContext } from "../../types";
import { PageBlocksPermissions } from "./permissions/PageBlocksPermissions";
export interface CreatePageBlocksCrudParams {
    context: PbContext;
    storageOperations: PageBuilderStorageOperations;
    pageBlocksPermissions: PageBlocksPermissions;
    getTenantId: () => string;
    getLocaleCode: () => string;
}
export declare const createPageBlocksCrud: (params: CreatePageBlocksCrudParams) => PageBlocksCrud;
