"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PageContent = void 0;
var _PageElementId = require("./PageElementId");
class PageContent {
  constructor(data) {
    this.content = data;
  }
  static createEmpty() {
    return new PageContent({
      id: _PageElementId.PageElementId.create().getValue(),
      type: "document",
      elements: [],
      data: {}
    });
  }
  static createFrom(content) {
    return new PageContent(structuredClone(content));
  }
  getValue() {
    return this.content;
  }
}
exports.PageContent = PageContent;

//# sourceMappingURL=PageContent.js.map