"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GetTranslatedCollectionUseCase = void 0;
var _GetTranslatedCollectionRepository = require("../repository/GetTranslatedCollectionRepository");
class GetTranslatedCollectionUseCase {
  constructor(context) {
    this.context = context;
  }
  async execute(params) {
    const getCollection = new _GetTranslatedCollectionRepository.GetTranslatedCollectionRepository(this.context);
    return await getCollection.execute(params);
  }
}
exports.GetTranslatedCollectionUseCase = GetTranslatedCollectionUseCase;

//# sourceMappingURL=GetTranslatedCollectionUseCase.js.map